VismaBouwsoftAPICalls.v1_GET_ActualCostItems Method
v1_GET_ActualCostItems() as String

This API call is used to get fields of a(n) ActualCostItem(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /ActualCostItems/
or
API Path: /ActualCostItems/{id}
or
API Path: /ActualCostItems/FieldInfo/

You can make this API call:
* without the key field id to get a list of ActualCostItems
* with the key field id as the path parameter (the specific id of the ActualCostItem you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
project_id 1 tpLong 0 No No No
project_pnr 1 tpLong 0 No No No
project_unr 1 tpLong 0 No No No
project_name 2 tpString 100 No No No
actualcost_id 1 tpLong 0 No No No
nr1 2 tpString 100 No No No
nr2 2 tpString 100 No No No
description 2 tpString 0 No No No
description_localized 2 tpString 0 No No No
unit 2 tpString 10 No No No
unit_localized 2 tpString 10 No No No
yield 4 tpDouble 0 No No No
company_id 1 tpLong 0 No No No
estimatedyield 4 tpDouble 0 No No No
bar_barcode 2 tpString 50 No No No
ts_lastupdate 3 tpDate 0 No No No

/ActualCostItems/

API Path: /ActualCostItems/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ActualCostItems

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: rkPfWxftGGzSfmPIjfzRqtfjfAjmkGbbfjGkzUIrIUIIrrjbOA

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/1680”, “Records”: [
  {
    "id": 4,
    "project_id": 3,
    "project_pnr": 20120003,
    "project_unr": 3,
    "project_name": "Project Parketvloeren 2016",
    "actualcost_id": 3,
    "nr1": "P.00.01a",
    "nr2": "",
    "description": "Plaatsing parket dmv verlijming: European Oak: inkom",
    "description_localized": "Plaatsing parket dmv verlijming: European Oak: inkom",
    "hours": 498.5,
    "unit": "m²",
    "unit_localized": "m²",
    "yield": 6.23,
    "company_id": 1,
    "estimatedyield": 0.5,
    "bar_barcode": "",
    "ts_lastupdate": "2026–02–22 11:50:09"
  },
  {
    "id": 5,
    "project_id": 3,
    "project_pnr": 20120003,
    "project_unr": 3,
    "project_name": "Project Parketvloeren 2016",
    "actualcost_id": 3,
    "nr1": "P.00.01b",
    "nr2": "",
    "description": "Plaatsing parket dmv verlijming: European Oak: eetplaats",
    "description_localized": "Plaatsing parket dmv verlijming: European Oak: eetplaats",
    "hours": 161.41666699999999,
    "unit": "m²",
    "unit_localized": "m²",
    "yield": 1.79,
    "company_id": 1,
    "estimatedyield": 0.5,
    "bar_barcode": "",
    "ts_lastupdate": "2026–02–22 11:50:09"
  }
,

]
}

https://ra.bouwsoft.be/api/v1/ActualCostItems

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: rPGfWxfVkGzSfIGUDtzRqkbbfGPkIOAAjVItztOADtrGDfrPPD
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: filter, ParameterValue: project_id eq 3320

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 2865,
    "project_id": 3320,
    "project_pnr": 2021060078,
    "project_unr": 1275,
    "project_name": "Schilderen van API blokjes",
    "actualcost_id": 2304,
    "nr1": "",
    "nr2": "",
    "description": "Volledig Project",
    "description_localized": "Complete project",
    "hours": 0,
    "unit": "st.",
    "unit_localized": "pc.",
    "yield": 0,
    "company_id": 2,
    "estimatedyield": 0,
    "bar_barcode": "",
    "ts_lastupdate": "2026–05–07 09:18:40"
  }
]
}

https://ra.bouwsoft.be/api/v1/ActualCostItems

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: rPGfWxfVkGzSfIGUDtzRqkbbfGPkIOAAjVItztOADtrGDfrPPD
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: filter, ParameterValue: project_id eq 3320
ParameterName: limit, ParameterValue: 1

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 2865,
    "project_id": 3320,
    "project_pnr": 2021060078,
    "project_unr": 1275,
    "project_name": "Schilderen van API blokjes",
    "actualcost_id": 2304,
    "nr1": "",
    "nr2": "",
    "description": "Volledig Project",
    "description_localized": "Complete project",
    "hours": 0,
    "unit": "st.",
    "unit_localized": "pc.",
    "yield": 0,
    "company_id": 2,
    "estimatedyield": 0,
    "bar_barcode": "",
    "ts_lastupdate": "2026–05–07 09:18:40"
  }
]
}

/ActualCostItems/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ActualCostItems/2865

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: rPGfWxfVkGzSfIGUDtzRqkbbfGPkIOAAjVItztOADtrGDfrPPD
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 2865,
    "project_id": 3320,
    "project_pnr": 2021060078,
    "project_unr": 1275,
    "project_name": "Schilderen van API blokjes",
    "actualcost_id": 2304,
    "nr1": "",
    "nr2": "",
    "description": "Volledig Project",
    "description_localized": "Complete project",
    "hours": 0,
    "unit": "st.",
    "unit_localized": "pc.",
    "yield": 0,
    "company_id": 2,
    "estimatedyield": 0,
    "bar_barcode": "",
    "ts_lastupdate": "2026–05–07 09:18:40"
  }
]
}

/ActualCostItems/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ActualCostItems/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: UOIfWxffkAzSfrUjPtzRqUUbfkrkIOlljbPtzDDlVrfGjAmtfb
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "project_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "project_pnr",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]